Eclipse GEF 3.3

## org.eclipse.gef.ui.properties
Class UndoablePropertySheetEntry

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.ui.views.properties.PropertySheetEntry
              org.eclipse.gef.ui.properties.UndoablePropertySheetEntry

All Implemented Interfaces:
  IPropertySheetEntry

public final class UndoablePropertySheetEntry
extends PropertySheetEntry

UndoablePropertySheetEntry provides undo support for changes made to IPropertySources by the `PropertySheetViewer`. Clients can construct a `PropertySheetPage` and use this class as the root entry. All changes made to property sources displayed on that page will be done using the provided command stack.

NOTE: If you intend to use an IPropertySourceProvider for a PropertySheetPage whose root entry is an instance of of UndoablePropertySheetEntry, you should set the IPropertySourceProvider on that root entry, rather than the PropertySheetPage.

See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.eclipse.ui.views.properties.IPropertySheetEntry
`FILTER_ID_EXPERT`

Constructor Summary
`UndoablePropertySheetEntry(CommandStack stack)` Constructs the root entry using the given command stack.

Method Summary
`protected PropertySheetEntry` `createChildEntry()`
`void` `dispose()`
`void` `resetPropertyValue()`
`protected void` `valueChanged(PropertySheetEntry child)`

Methods inherited from class org.eclipse.ui.views.properties.PropertySheetEntry
`addPropertySheetEntryListener, applyEditorValue, getCategory, getChildEntries, getDescription, getDescriptor, getDisplayName, getEditor, getEditValue, getErrorText, getFilters, getHelpContextIds, getImage, getParent, getPropertySource, getValueAsString, getValues, hasChildEntries, refreshFromRoot, removePropertySheetEntryListener, setPropertySourceProvider, setValues`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UndoablePropertySheetEntry

    public UndoablePropertySheetEntry(CommandStack stack)

  Constructs the root entry using the given command stack.

Parameters:
  `stack` - the command stack
Since:
  3.1

Method Detail

### createChildEntry

    protected PropertySheetEntry createChildEntry()

  See Also:
    `PropertySheetEntry.createChildEntry()`

### dispose

    public void dispose()

  See Also:
    `IPropertySheetEntry.dispose()`

### resetPropertyValue

    public void resetPropertyValue()

  See Also:
    `IPropertySheetEntry.resetPropertyValue()`

### valueChanged

    protected void valueChanged(PropertySheetEntry child)

  See Also:
    `PropertySheetEntry.valueChanged(PropertySheetEntry)`

Eclipse GEF 3.3

Copyright (c) IBM Corp. and others 2000, 2007. All Rights Reserved.